%define base_name	kdemoreartwork
%define theme_name	lush
%define version		0.1.0
%define name		%{base_name}-%{theme_name}
%define release		1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Lush icons for KDE Desktop
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{theme_name}-%{version}.tar.bz2
URL:		http://projects.dims.org/~dave/	
Requires:	kdebase
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Lush Icon set for KDE Desktop

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}

%build

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}

# correct permission 
chmod 644 */actions/folder_new.png
cp -r 16x16/ 22x22/ 32x32/ 48x48/ 64x64/ 128x128/ index.desktop $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc author copying readme 
%{_datadir}/icons/%{theme_name}-%{version}/*

%changelog
* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.1.0-1mdk
- initial package

